ur_rna.StructureEditor.models

## Enum BondType

- java.lang.Object
- - java.lang.Enum<BondType>
  - - ur_rna.StructureEditor.models.BondType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BondType>

      public enum BondType
      extends java.lang.Enum<BondType>

  These Bond types reflect additional user-input that could not be garnered directly from the bases on either side of the bonds. For example, a user could mark bonds as Forced, Standard, or Prohibited. Regarding certain operations, such as automatic layout or user interaction with helices etc, any bonds marked as `Prohibited` or `Pseudo` may be ignored or handled differently than other bonds, depending on the circumstances of the operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Forced` User (or external evidence etc) indicates this bond MUST be paired.
    `Prohibited` User (or external evidence etc) indicates this bond must NOT be paired.
    `Pseudo` Pseduo-knot or quaternary bond.
    `Special` This bond is likely to be paired, but should be highlighted as special or unusual for some reason.
    `Standard` This bond is likely to be paired in the given structure.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.String,BondType>` | `_lookup`
    `private java.lang.String` | `abbrev`
    `static BondType` | `Default`
    `private java.lang.String` | `description`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BondType` | `fromAbbrev(java.lang.String abbrev)` Gets the BondType corresponding to an abbreviation.
    `static BondType` | `fromAbbrev(java.lang.String abbrev, BondType defaultIfInvalid)` Gets the BondType corresponding to an abbreviation.
    `java.lang.String` | `getAbbrev()`
    `java.lang.String` | `getDescription()`
    `static BondType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BondType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Forced

          public static final BondType Forced

      User (or external evidence etc) indicates this bond MUST be paired.

    - #### Prohibited

          public static final BondType Prohibited

      User (or external evidence etc) indicates this bond must NOT be paired.

    - #### Pseudo

          public static final BondType Pseudo

      Pseduo-knot or quaternary bond.

    - #### Special

          public static final BondType Special

      This bond is likely to be paired, but should be highlighted as special or unusual for some reason.

    - #### Standard

          public static final BondType Standard

      This bond is likely to be paired in the given structure.

  - ### Field Detail

    - #### _lookup

          private static java.util.Map<java.lang.String,BondType> _lookup

    - #### abbrev

          private java.lang.String abbrev

    - #### Default

          public static final BondType Default

    - #### description

          private final java.lang.String description

  - ### Method Detail

    - #### fromAbbrev

          public static BondType fromAbbrev(java.lang.String abbrev)

      Gets the BondType corresponding to an abbreviation.
      Throws:
        `java.lang.IllegalArgumentException` - if the abbreviation is empty or does not correspond to a known BondType.

    - #### fromAbbrev

          public static BondType fromAbbrev(java.lang.String abbrev,
                                            BondType defaultIfInvalid)

      Gets the BondType corresponding to an abbreviation. Returns the value passed in as 'defaultIfInvalid' if the abbreviation is empty or does not correspond to a known BondType.

    - #### getAbbrev

          public java.lang.String getAbbrev()

    - #### getDescription

          public java.lang.String getDescription()

    - #### valueOf

          public static BondType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static BondType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BondType c : BondType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared